%define name    xmms-nsf
%define version 0.0.3
%define release 4plf

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        NSF Input plugin for xmms
License:        GPL
Group:          Sound
URL:		http://www.geocities.co.jp/SiliconValley-SanJose/2956/html/nsf.html
Source:         %{name}-%{version}.tar.bz2
Patch:		http://dbz.icequake.net/src/xmms-nsf-silence-gcc3.3.patch.bz2
Requires:       xmms >= 1.0
BuildRequires:  gtk+-devel
BuildRequires:  libxmms-devel >= 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
xmms-nsf input plugin for xmms.  This enables the playback of Nintendo
Entertainment System's .nsf audio files.

This package is in PLF, as MandrakeSoft doesn't allow console
emulation in Mandrakelinux.
%prep
%setup -q
%patch -p1

%build
%define __libtoolize true
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README README.jp
%{_libdir}/xmms/Input/libnsf.so

%changelog
* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.0.3-4plf
- fix build
- fix description

* Fri Jun 13 2003 Gtz Waschk <goetz@plf.zarb.org> 0.0.3-3plf
- clean out unpackaged files
- patch in a silence detection

* Fri Apr 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.0.3-2plf
- BuildRequires

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 0.0.3-1plf 
- new plf extension 

* Mon Nov 12 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- initial package
